Bug 74695 - [NV86] GPU hangs on resume, causing X to crash
Summary: [NV86] GPU hangs on resume, causing X to crash
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: 7.7 (2012.06)
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL: https://bugs.launchpad.net/ubuntu/+so...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 20:14 UTC by Carla sella
Modified: 2015-10-24 21:15 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg after reboot (78.27 KB, text/plain)
2014-02-07 21:23 UTC, Carla sella
no flags Details
dmesg from kernel 3.8 (197.01 KB, text/plain)
2014-02-12 18:08 UTC, Carla sella
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carla sella 2014-02-07 20:14:04 UTC

    
Comment 1 Carla sella 2014-02-07 20:29:00 UTC
10de:0422 [Asus M2N]
Xorg crashed with SIGABRT After resuming from suspension of my PC.
The backtrace may be found at:
https://launchpadlibrarian.net/153518329/XorgLogOld.txt
I have already reported this bug on launchpad:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1238902
This is the hardware of my PC: http://phillw.net/hardware/kuDwMTTb
I am running the latest version of Ubuntu Trusty Thar 14.04 with all updates applied and with the latest kernel (3.13.0-6-generic #23-Ubuntu).
This bug has occured since Ubuntu Raring Ringtail 13.04.
Comment 2 Ilia Mirkin 2014-02-07 20:58:41 UTC
This happens in response to the GPU hanging. X could perhaps handle this a little more gracefully (e.g. by reporting "GPU hung, committing suicide"), but the real issue is that the GPU is hanging on resume... Do you have a dmesg after resuming?

It'd also be worthwhile testing this out with a fresh kernel, e.g. 3.13.2, as this issue may have gotten fixed in the meanwhile.
Comment 3 Carla sella 2014-02-07 21:22:40 UTC
I am attaching dmesg after reboot.
Comment 4 Carla sella 2014-02-07 21:23:13 UTC
Created attachment 93634 [details]
dmesg after reboot
Comment 5 Carla sella 2014-02-07 21:24:01 UTC
I will also test this out with a fresh kernel and let you know.
Comment 6 Ilia Mirkin 2014-02-07 22:15:41 UTC
Oh, I didn't notice you were already running 3.13 -- I highly doubt 3.13.x would help. 3.14-rc1 MIGHT but that's a low chance.

An interesting observation is that your BSP engine refuses MMIO writes when coming back from sleep, but it was fine on original boot. We're probably not initializing something we should be... :( [The BSP engine in itself isn't that important -- it's for h264 decoding, but it's an unfortunate indicator.]

And then you end up with a bunch of

[ 5298.803245] nouveau E[     PFB][0000:02:00.0] trapped read at 0x0020ea1200 on channel 0x0000fc33 [compiz[2007]] PGRAPH/DISPATCH/M2M_IN reason: NULL_DMAOBJ

Which eventually kill X as well.

It's not super-clear from your report, but did this work prior to Ubuntu 13.04? If so, can you figure out what kernel version you were using back when it did work?
Comment 7 Carla sella 2014-02-09 20:34:37 UTC
I started having Xorg server crashes from kernel 3.8.0-35 on wards. Up to kernel 3.7.10 I had ho crashes after suspension (that is until Ubuntu Quantal Quetzal no crashes, from Ubuntu Raring Ringtail I stared having crashes).
Carla
Comment 8 Carla sella 2014-02-09 20:37:41 UTC
This is the link with Ubuntu mainline kernels: http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D.
I starded having crashes from v3.8-raring.
Comment 9 Ilia Mirkin 2014-02-09 20:47:00 UTC
Would you be able to do a bisect between 3.7 and 3.8?

Another user identified commit 4f6029da58ba (in bug #67878) which came in between 3.7 and 3.8 -- perhaps you have the same issue? It's a different card, so might be different... a bunch of stuff changed between 3.7 and 3.8.
Comment 10 Carla sella 2014-02-10 20:38:25 UTC
(In reply to comment #9)
> Would you be able to do a bisect between 3.7 and 3.8?

To be honest I never did a kernel bisect, but I can try. I will try and let you know.
Comment 11 Carla sella 2014-02-12 18:07:44 UTC
I started with compiling kernel v.3.8 19f949f from git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git.
When I boot my PC with kernel 3.8 lightdm doesn't even start and I get a black screen, I am attaching dmesg from booting on kernel 3.8.
After re-booting on Ubuntu kernel again I get a crash report from Xorg, so I suppose Xorg crashed.
Comment 12 Carla sella 2014-02-12 18:08:37 UTC
Created attachment 93952 [details]
dmesg from kernel 3.8

dmesg output after booting my PC with kernel v.3.8.
Comment 13 Carla sella 2014-02-12 18:09:20 UTC
I will continue testing previous kernels to v. 3.8.
Comment 14 Carla sella 2014-02-15 16:02:06 UTC
I started bisecting kernel from 3.7 to 3.8 this is the bisect log output:

letozaf@letozaf-PC:~/Documents/linux$ git bisect log
git bisect start
# good: [29594404d7fe73cd80eaa4ee8c43dcc53970c60e] Linux 3.7
git bisect good 29594404d7fe73cd80eaa4ee8c43dcc53970c60e
# bad: [19f949f52599ba7c3f67a5897ac6be14bfcb1200] Linux 3.8
git bisect bad 19f949f52599ba7c3f67a5897ac6be14bfcb1200
# good: [dadfab4873256d2145640c0ce468fcbfb48977fe] Merge tag 'firewire-updates' of git://git.kernel.org/pub/scm/linux/kernel/git/ieee1394/linux1394
git bisect good dadfab4873256d2145640c0ce468fcbfb48977fe
# bad: [992956189de58cae9f2be40585bc25105cd7c5ad] efi: Fix the build with user namespaces enabled.
git bisect bad 992956189de58cae9f2be40585bc25105cd7c5ad


I stopped as the second kernel test, the 992956189de58cae9f2be40585bc25105cd7c5ad one, after suspension gave me a black screen and I could not resume, had to switch of my PC by pushing power button.
After reboot apport reported an Xorg crash.
So I think the problem is on this kernel commit (992956189de58cae9f2be40585bc25105cd7c5ad).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.